## com.arsdigita.docmgr
Class ContentTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.arsdigita.docmgr.ContentTypeException

All Implemented Interfaces:
  Serializable

public class ContentTypeException
extends Exception

Base class for content type exceptions.

Version:
  $Id: //apps/docmgr/dev/src/com/arsdigita/docmgr/ContentTypeException.java#2 $
Author:
  Ron Henderson (ron@arsdigita.com), Gavin Doughtie (gavin@arsdigita.com)
See Also:
  Serialized Form

Constructor Summary
`ContentTypeException(Exception e)` Creates a new exception by wrapping an existing one.
`ContentTypeException(String message)` Creates a new exception with a given error message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContentTypeException

    public ContentTypeException(String message)

  Creates a new exception with a given error message.

Parameters:
  `message` - the error message

### ContentTypeException

    public ContentTypeException(Exception e)

  Creates a new exception by wrapping an existing one.

Parameters:
  `e` - the exception to wrap

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC